Skip to main content

Create contract

POSThttps://api.propexo.com/v1/contracts/

Create a contract for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    vendor_idstring

    The Propexo unique identifier for the vendor

    start_datestring

    The start date associated with the contract

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the contract

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    x_idstring

    The external ID from the integration vendor. This must be a unique value when creating a new contract.

    Possible values: <= 16 characters

    notesstring

    Notes associated with the contract

    expense_typestring

    The expense type of the contract. You'll have to request this data from your customer

    retention_percentstring

    The retention percent of the contract. Must be a decimal number with only 2 places

    contract_details object[]
  • Array [
  • construction_job_idstringrequired

    The Propexo unique identifier for the construction job

    property_idstringrequired

    The Propexo unique identifier for the property

    financial_account_idstring

    The Propexo unique identifier for the financial account

    total_amount_in_centsnumberrequired

    The amount of the contract detail, in cents

    notesstring

    Notes associated with the contract detail

    cost_codestring

    The cost code of the contract detail. You'll have to request this data from your customer

    category_codestring

    The category code for the contract detail. You'll have to request this data from your customer

    retention_percentstring

    The retention percent of the contract detail. Must be a decimal number with only 2 places

  • ]

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/contracts/
curl -X POST https://api.propexo.com/v1/contracts/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}